<doxygen xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" version="1.8.14" xsi:noNamespaceSchemaLocation="compound.xsd">
  <compounddef id="structcyhal__pdm__pcm__cfg__t" kind="struct" language="C++" prot="public">
    <compoundname>cyhal_pdm_pcm_cfg_t</compoundname>
    <includes local="no">cyhal_pdmpcm.h</includes>
      <sectiondef kind="public-attrib">
      <memberdef id="structcyhal__pdm__pcm__cfg__t_1a19eeeb8ba0eaed3b82bf4f052e36b731" kind="variable" mutable="no" prot="public" static="no">
        <type>uint32_t</type>
        <definition>uint32_t cyhal_pdm_pcm_cfg_t::sample_rate</definition>
        <argsstring />
        <name>sample_rate</name>
        <briefdescription>
<para>Sample rate in Hz. </para>        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="output/libs/COMPONENT_DEPRECATED/psoc6hal/include/cyhal_pdmpcm.h" bodystart="133" column="1" file="output/libs/COMPONENT_DEPRECATED/psoc6hal/include/cyhal_pdmpcm.h" line="133" />
      </memberdef>
      <memberdef id="structcyhal__pdm__pcm__cfg__t_1a1d94274f6ae0d514c0140866ea7b5c7e" kind="variable" mutable="no" prot="public" static="no">
        <type>uint8_t</type>
        <definition>uint8_t cyhal_pdm_pcm_cfg_t::decimation_rate</definition>
        <argsstring />
        <name>decimation_rate</name>
        <briefdescription>
<para>PDM decimation rate. </para>        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="output/libs/COMPONENT_DEPRECATED/psoc6hal/include/cyhal_pdmpcm.h" bodystart="134" column="1" file="output/libs/COMPONENT_DEPRECATED/psoc6hal/include/cyhal_pdmpcm.h" line="134" />
      </memberdef>
      <memberdef id="structcyhal__pdm__pcm__cfg__t_1a7be7271c85209a9f567a1335f58d05ba" kind="variable" mutable="no" prot="public" static="no">
        <type><ref kindref="member" refid="group__group__hal__pdmpcm_1gac81a68ee166ff48752095f82e6852565">cyhal_pdm_pcm_mode_t</ref></type>
        <definition>cyhal_pdm_pcm_mode_t cyhal_pdm_pcm_cfg_t::mode</definition>
        <argsstring />
        <name>mode</name>
        <briefdescription>
<para>left, right, or stereo </para>        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="output/libs/COMPONENT_DEPRECATED/psoc6hal/include/cyhal_pdmpcm.h" bodystart="135" column="1" file="output/libs/COMPONENT_DEPRECATED/psoc6hal/include/cyhal_pdmpcm.h" line="135" />
      </memberdef>
      <memberdef id="structcyhal__pdm__pcm__cfg__t_1a5847815ce526fa0d67e4a5a9d9de21dd" kind="variable" mutable="no" prot="public" static="no">
        <type>uint8_t</type>
        <definition>uint8_t cyhal_pdm_pcm_cfg_t::word_length</definition>
        <argsstring />
        <name>word_length</name>
        <briefdescription>
<para>PCM word length in bits, see the implementation specific documentation for valid range. </para>        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="output/libs/COMPONENT_DEPRECATED/psoc6hal/include/cyhal_pdmpcm.h" bodystart="136" column="1" file="output/libs/COMPONENT_DEPRECATED/psoc6hal/include/cyhal_pdmpcm.h" line="136" />
      </memberdef>
      <memberdef id="structcyhal__pdm__pcm__cfg__t_1ae3d723bf938a3328bc79f265b7527cd8" kind="variable" mutable="no" prot="public" static="no">
        <type>int8_t</type>
        <definition>int8_t cyhal_pdm_pcm_cfg_t::left_gain</definition>
        <argsstring />
        <name>left_gain</name>
        <briefdescription>
<para>PGA in 0.5 dB increment, for example a value of 5 would mean +2.5 dB. </para>        </briefdescription>
        <detaileddescription>
<para>The closest fit value will be used, see the implementation specific documentation for valid ranges. This may be negative if the implementation supports it. </para>        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="output/libs/COMPONENT_DEPRECATED/psoc6hal/include/cyhal_pdmpcm.h" bodystart="137" column="1" file="output/libs/COMPONENT_DEPRECATED/psoc6hal/include/cyhal_pdmpcm.h" line="137" />
      </memberdef>
      <memberdef id="structcyhal__pdm__pcm__cfg__t_1a9d50a87f1363f1f15aec15552facbc21" kind="variable" mutable="no" prot="public" static="no">
        <type>int8_t</type>
        <definition>int8_t cyhal_pdm_pcm_cfg_t::right_gain</definition>
        <argsstring />
        <name>right_gain</name>
        <briefdescription>
<para>PGA in 0.5 dB increment, for example a value of 5 would mean +2.5 dB. </para>        </briefdescription>
        <detaileddescription>
<para>The closest fit value will be used, see the implementation specific documentation for valid ranges. This may be negative if the implementation supports it. </para>        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="output/libs/COMPONENT_DEPRECATED/psoc6hal/include/cyhal_pdmpcm.h" bodystart="138" column="1" file="output/libs/COMPONENT_DEPRECATED/psoc6hal/include/cyhal_pdmpcm.h" line="138" />
      </memberdef>
      </sectiondef>
    <briefdescription>
<para>Describes the current configuration of a PDM/PCM. </para>    </briefdescription>
    <detaileddescription>
    </detaileddescription>
    <location bodyend="139" bodyfile="output/libs/COMPONENT_DEPRECATED/psoc6hal/include/cyhal_pdmpcm.h" bodystart="131" column="1" file="output/libs/COMPONENT_DEPRECATED/psoc6hal/include/cyhal_pdmpcm.h" line="132" />
    <listofallmembers>
      <member prot="public" refid="structcyhal__pdm__pcm__cfg__t_1a1d94274f6ae0d514c0140866ea7b5c7e" virt="non-virtual"><scope>cyhal_pdm_pcm_cfg_t</scope><name>decimation_rate</name></member>
      <member prot="public" refid="structcyhal__pdm__pcm__cfg__t_1ae3d723bf938a3328bc79f265b7527cd8" virt="non-virtual"><scope>cyhal_pdm_pcm_cfg_t</scope><name>left_gain</name></member>
      <member prot="public" refid="structcyhal__pdm__pcm__cfg__t_1a7be7271c85209a9f567a1335f58d05ba" virt="non-virtual"><scope>cyhal_pdm_pcm_cfg_t</scope><name>mode</name></member>
      <member prot="public" refid="structcyhal__pdm__pcm__cfg__t_1a9d50a87f1363f1f15aec15552facbc21" virt="non-virtual"><scope>cyhal_pdm_pcm_cfg_t</scope><name>right_gain</name></member>
      <member prot="public" refid="structcyhal__pdm__pcm__cfg__t_1a19eeeb8ba0eaed3b82bf4f052e36b731" virt="non-virtual"><scope>cyhal_pdm_pcm_cfg_t</scope><name>sample_rate</name></member>
      <member prot="public" refid="structcyhal__pdm__pcm__cfg__t_1a5847815ce526fa0d67e4a5a9d9de21dd" virt="non-virtual"><scope>cyhal_pdm_pcm_cfg_t</scope><name>word_length</name></member>
    </listofallmembers>
  </compounddef>
</doxygen>